在 Mac OS 上安装最新的 Ruby 版本

更新日期: 2017-06-24 阅读次数: 4140 分类: ruby

Mac OS 10.8 自带的 Ruby 版本是 1.8.7

$ ruby --version

ruby 1.8.7 (2012-02-08 patchlevel 358) [universal-darwin12.0]

而 Rails 3.2 推荐使用 Ruby 1.9.3。

为了不影响 Mac 系统的运行,就需要保证系统自带 Ruby 和最新版本 Ruby 并存。

rvm 恰好是做这个的。

安装 rvm:

$ curl -L https://get.rvm.io | bash -s stable

使 rvm 生效:

$ source /Users/zhongwei/.rvm/scripts/rvm

查看 rvm 的版本:

$ rvm --version

安装 Ruby 1.9.3

$ rvm install 1.9.3

安装完成后,我们再查看 Ruby 的版本,会发现已经变成了 1.9.3:

$ ruby --version ruby 1.9.3p327 (2012-11-10) [x86_64-darwin12.2.0]

将默认的 Ruby 设置成 1.9.3,这样每次打开一个新的终端后,都会使用这个版本:

$ rvm --default 1.9.3

如果要切换回系统自带的 Ruby 版本 1.8.7:

$ rvm system

切换到默认的 1.9.3:

$ rvm default

查看已通过 rvm 安装的 ruby 版本列表:

$ rvm list

为 Ruby 安装文档:

$ rvm docs generate

使用 TextMate 来编辑 Ruby

执行当前行的 Ruby 代码很实用。

爱评论不评论

近期节日

2019年12月20日 澳门回归日
2019年12月21日 国际篮球日
2019年12月22日 冬至
2019年12月24日 平安夜
2019年12月25日 圣诞节
查看更多节日